> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Voucher

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /subscriptions/{id}/voucher_url
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /subscriptions/{id}/voucher_url:
    get:
      summary: Retrieve Voucher
      operationId: get_subscriptions{id}voucher_url
      parameters:
        - in: path
          name: id
          schema:
            type: string
            default: sub_GjoXpB5UX5Z97Wx9
          required: true
          description: >-
            The `id` of the Subscription that holds the Voucher you want to
            retrieve.
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
              examples:
                Result:
                  summary: Result
                  value:
                    url: https://presigned-s3-url

````